Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Interface SourcesMouseWheelEvents

All Known Implementing Classes:
  FocusPanel

Deprecated. Use `HasMouseWheelHandlers` instead

    @Deprecated
    public interface SourcesMouseWheelEvents

A widget that implements this interface sources the events defined by the `MouseWheelListener` interface.

Method Summary
`void` | `addMouseWheelListener(MouseWheelListener listener)` Deprecated. Use `HasMouseWheelHandlers.addMouseWheelHandler(com.google.gwt.event.dom.client.MouseWheelHandler)` instead
`void` | `removeMouseWheelListener(MouseWheelListener listener)` Deprecated. Use the `HandlerRegistration.removeHandler()` method on the object returned by `HasMouseWheelHandlers.addMouseWheelHandler(com.google.gwt.event.dom.client.MouseWheelHandler)` instead

Method Detail

### addMouseWheelListener

    @Deprecated
    void addMouseWheelListener(MouseWheelListener listener)

  Deprecated. Use `HasMouseWheelHandlers.addMouseWheelHandler(com.google.gwt.event.dom.client.MouseWheelHandler)` instead

  Adds a listener interface to receive mouse events.

  Parameters:
    `listener` - the listener interface to add

### removeMouseWheelListener

    @Deprecated
    void removeMouseWheelListener(MouseWheelListener listener)

  Deprecated. Use the `HandlerRegistration.removeHandler()` method on the object returned by `HasMouseWheelHandlers.addMouseWheelHandler(com.google.gwt.event.dom.client.MouseWheelHandler)` instead

  Removes a previously added listener interface.

  Parameters:
    `listener` - the listener interface to remove

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD